Bug 175493 - maintainer update : sysutils/salt-cloud
Summary: maintainer update : sysutils/salt-cloud
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason Helfman
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-21 22:40 UTC by Christer Edwards
Modified: 2013-01-22 06:30 UTC (History)
0 users

See Also:


Attachments
file.diff (3.93 KB, patch)
2013-01-21 22:40 UTC, Christer Edwards
no flags Details | Diff
salt-cloud-0.8.4.diff.txt (4.00 KB, text/plain; charset=US-ASCII)
2013-01-21 23:00 UTC, Christer Edwards
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christer Edwards 2013-01-21 22:40:00 UTC
maintainer update : sysutils/salt-cloud -> 0.8.4

Fix: maintainer update : sysutils/salt-cloud -> 0.8.4

Patch attached with submission follows:
How-To-Repeat: maintainer update : sysutils/salt-cloud -> 0.8.4
Comment 1 Jason Helfman freebsd_committer 2013-01-22 01:33:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jgh

I'll take it.
Comment 2 Jason Helfman freebsd_committer 2013-01-22 06:21:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-01-22 06:21:33 UTC
Author: jgh
Date: Tue Jan 22 06:21:18 2013
New Revision: 310804
URL: http://svnweb.freebsd.org/changeset/ports/310804

Log:
  - update to 0.8.4
  - while here fix formatting of pkg-descr, and trim historical header
  
  PR:		175493
  Submitted by:	maintainer, christer.edwards@gmail.com

Modified:
  head/sysutils/salt-cloud/Makefile
  head/sysutils/salt-cloud/distinfo
  head/sysutils/salt-cloud/pkg-descr
  head/sysutils/salt-cloud/pkg-plist

Modified: head/sysutils/salt-cloud/Makefile
==============================================================================
--- head/sysutils/salt-cloud/Makefile	Tue Jan 22 06:00:37 2013	(r310803)
+++ head/sysutils/salt-cloud/Makefile	Tue Jan 22 06:21:18 2013	(r310804)
@@ -1,14 +1,10 @@
-# New ports collection makefile for: salt-cloud
-# Date created:	2012-07-16
-# Whom:		Christer Edwards <christer.edwards@gmail.com>
-#
+# Created by: Christer Edwards <christer.edwards@gmail.com>
 # $FreeBSD$
-#
 
 PORTNAME=	salt-cloud
-PORTVERSION=	0.8.1
+PORTVERSION=	0.8.4
 CATEGORIES=	sysutils python
-MASTER_SITES=	https://github.com/downloads/saltstack/salt-cloud/
+MASTER_SITES=	CHEESESHOP
 
 MAINTAINER=	christer.edwards@gmail.com
 COMMENT=	Provisioning salted minions to various cloud providers

Modified: head/sysutils/salt-cloud/distinfo
==============================================================================
--- head/sysutils/salt-cloud/distinfo	Tue Jan 22 06:00:37 2013	(r310803)
+++ head/sysutils/salt-cloud/distinfo	Tue Jan 22 06:21:18 2013	(r310804)
@@ -1,2 +1,2 @@
-SHA256 (salt-cloud-0.8.1.tar.gz) = bb7c92d3934fdb3aea97d574db2bcceedd5395e14040be2bbf411196dd9d3fee
-SIZE (salt-cloud-0.8.1.tar.gz) = 41017
+SHA256 (salt-cloud-0.8.4.tar.gz) = 376c0cbb0667a54c5ef1a5913bef6a61d72f7dbbe5bf24cabcd4894b66eeaf6a
+SIZE (salt-cloud-0.8.4.tar.gz) = 70189

Modified: head/sysutils/salt-cloud/pkg-descr
==============================================================================
--- head/sysutils/salt-cloud/pkg-descr	Tue Jan 22 06:00:37 2013	(r310803)
+++ head/sysutils/salt-cloud/pkg-descr	Tue Jan 22 06:21:18 2013	(r310804)
@@ -1,4 +1,4 @@
 Salt Cloud is a generic cloud provisioning tool which can hook into 
 existing cloud management systems. 
 
-WWW:	http://saltstack.org
+WWW: http://saltstack.org

Modified: head/sysutils/salt-cloud/pkg-plist
==============================================================================
--- head/sysutils/salt-cloud/pkg-plist	Tue Jan 22 06:00:37 2013	(r310803)
+++ head/sysutils/salt-cloud/pkg-plist	Tue Jan 22 06:21:18 2013	(r310804)
@@ -17,12 +17,18 @@ bin/salt-cloud
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/gogrid.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ibmsce.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ibmsce.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/ibmsce.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/joyent.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/linode.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/openstack.py
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/openstack.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/clouds/openstack.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.py
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/clouds/rackspace.pyo
@@ -31,17 +37,26 @@ bin/salt-cloud
 %%PYTHON_SITELIBDIR%%/saltcloud/config.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Arch-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Arch.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/Debian-git.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/Debian.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/bootstrap-salt-minion.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/curl-bootstrap-git.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/curl-bootstrap.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Fedora-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Fedora.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/FreeBSD-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/FreeBSD.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/None.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/python-bootstrap.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL5-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL5.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL6-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/RHEL6.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/SmartOS.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Ubuntu-git.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/deploy/Ubuntu.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/wget-bootstrap-nocert.sh
+%%PYTHON_SITELIBDIR%%/saltcloud/deploy/wget-bootstrap.sh
 %%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.py
 %%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/libcloudfuncs.pyo
@@ -54,6 +69,9 @@ bin/salt-cloud
 %%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.py
 %%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/utils/__init__.pyo
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/parsers.py
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/parsers.pyc
+%%PYTHON_SITELIBDIR%%/saltcloud/utils/parsers.pyo
 %%PYTHON_SITELIBDIR%%/saltcloud/version.py
 %%PYTHON_SITELIBDIR%%/saltcloud/version.pyc
 %%PYTHON_SITELIBDIR%%/saltcloud/version.pyo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"